Subject: Re: [PATCH 1/1] net/mlx5: query_mcia_reg fail logging at debug severity

From: Jakub Kicinski <[email-masked]>
Date: Tue, 28 Oct 2025 15:43:30 -0700

On Tue, 28 Oct 2025 13:40:11 -0600 Matthew W Carlis wrote:
> Whenever a user or automation runs ethtool -m <eth> or an equivalent
> to mlx5 device & there is not any SFP module in that device the
> kernel log is spammed with ""query_mcia_reg failed: status:" which
> is really not that informative to the user who already knows that
> their command failed. Since the severity is logged at error severity
> the log message cannot be disabled via dyndbg etc...

+1 from me FWIW. I wonder if we're hitting this on the same class
of systems but recently this started hitting at Meta as well.
Millions of log entries a day because some ports don't have an SFP
plugged in :|